package siprp.medicina.processo.detalhes;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.evolute.utils.tables.BaseTable;
import com.evolute.utils.tables.VectorTableModel;

public class ECDsInfoPanel extends JPanel
{
	protected final JFrame owner;
	
	protected BaseTable marcacoesTable;
	protected VectorTableModel marcacoesModel;
	
	public ECDsInfoPanel( JFrame owner )
	{
		this.owner = owner;
		setupComponents();
	}

	private void setupComponents()
	{
		marcacoesModel = new VectorTableModel( new String[]{ "data", "marcados", "realizados", "recusados", "estado" } );
		marcacoesTable = new BaseTable( marcacoesModel );
		JScrollPane marcacoesScroll = new JScrollPane( marcacoesTable, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, 
														JScrollPane.HORIZONTAL_SCROLLBAR_NEVER );
	}
}
